curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/courses/component-resources/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"componentResource": {
"sourcedId": "<string>",
"status": "active",
"courseComponent": {
"sourcedId": "<string>"
},
"resource": {
"sourcedId": "<string>"
},
"title": "<string>",
"sortOrder": 0,
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"lessonType": "powerpath-100"
}
}Get a specific Component Resource on the service provider. If the corresponding record cannot be located, the api will return a 404 error code and message ‘Component Resource not found.’
curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/courses/component-resources/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"componentResource": {
"sourcedId": "<string>",
"status": "active",
"courseComponent": {
"sourcedId": "<string>"
},
"resource": {
"sourcedId": "<string>"
},
"title": "<string>",
"sortOrder": 0,
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"lessonType": "powerpath-100"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The sourcedId of the component resource
Comma-separated list of fields to include in the response
"sourcedId,name"
Single Component Resource
Represents a resource associated with a course component.
Show child attributes